<!-- $Id: introductie.xml,v 1.1.1.1 2004/03/21 21:02:22 cor Exp $ -->

<chapter> <?dbhtml filename="introductie.html"?>
<title>Een introductie tot Slackware Linux</title>

<sect1>
<title>Wat is Linux?</title>

<para>
Linux is een Unix-achtige kernel die geschreven is door Linus Torvalds
en andere ontwikkelaars die verbonden zijn via het internet. Linux werkt
op veel verschillende architecturen, waaronder de IA32, IA64, Alpha, m68k,
SPARC en PowerPC platformen. Meer informatie en de nieuwste kernel is
te vinden op: <ulink url="http://www.kernel.org/">http://www.kernel.org/</ulink>
</para>

<para>
Linux wordt vaak verward met het GNU/Linux systeem. Linux is alleen een
kernel, geen compleet besturingssysteem. GNU/Linux is het GNU besturingssysteem
met de Linux kernel zoals in de volgende sectie te lezen is.
</para>

</sect1>

<sect1>
<title>Wat is GNU/Linux?</title>

<para>
Richard M. Stallman (RMS) is begin jaren '80 begonnen met het ambitieuze project
een vrij Unix-achtig besturingssysteem te schrijven. De naam van dit
besturingssysteem is GNU (GNU is Not Unix). Begin jaren '90 waren alle
belangrijke onderdelen van dit systeem geschreven behalve de kernel
die HURD zou gaan heten. "The Hurd" is een POSIX compatibel multi-server
systeem, dat bovenop de GNU Mach microkernel draait.
Begin jaren '90 moest men eerst wachten tot de broncodes van Mach
vrijgegeven werden. In de tussentijd heeft Linus het gat in het GNU
systeem opgevuld met de Linux kernel. GNU/Linux verwijst dus naar het
GNU systeem met de Linux kernel. Inmiddels is HURD ook een werkende kernel
en bestaat er ook het GNU/Hurd systeem, het 
<ulink url="http://www.debian.org/">Debian</ulink> project heeft zelfs
een versie van het GNU besturingssysteem gemaakt dat met de
<ulink url="http://www.netbsd.org/">NetBSD</ulink> kernel werkt. Omdat
GNU een belangerijk deel vormt van de meeste distributies zouden we
eigenlijk over "GNU/Linux distributies" moeten spreken in plaats van
"Linux distributies". 
</para>
</sect1>

<sect1>
<title>Wat is Slackware Linux?</title>

<para>
Slackware Linux is een GNU/Linux distributie die hoofdzakelijk onderhouden en 
ontwikkeld wordt door Patrick Volkerding. Een verschil met andere distributies
is dat Slackware het zogenaamde KISS (keep it simple stupid) principe volgt.
Dat betekent dat grafische tools om het systeem te configureren ontbreken. In
het begin kan de configuratie van het systeem daarom wat moeilijk zijn voor
beginners, maar gevorderde gebruikers houden van de transparantie en
flexibiliteit die deze benadering biedt. Bovendien leer je met Slackware Linux
het GNU/Linux systeem tot op de bodem kennen.
</para>

<para>
Een ander opvallend aspect van Slackware Linux sluit aan op het KISS principe:
Slackware Linux gebruikt geen packagemanager als RPM. De packages in de
distributie zelf zijn normale tgz (tar/gzip) bestanden met soms een extra
installatiescript. Tgz is voor ervaren gebruikers veel krachtiger dan RPM
en vermijdt onzinnige dependancyproblemen die met RPM soms de orde van de dag
zijn. Een eigenschap die ook vaak genoemd wordt, zijn de BSD-stijl 
initialisatiescripts van Slackware Linux. Dit betekent dat er voor elk
runlevel/taak &eacute;&eacute;n initialisatiescript is in plaats van een script voor
elke daemon. Hierdoor is het systeem erg snel en flexibel in te stellen
zonder dat je eerst zelf init scripts moet gaan schrijven. 
</para>

<para>
De software in Slackware Linux is met zo weinig mogelijk veranderingen
gecompileerd. Hierdoor kun je in Slackware veel algemene documentatie
gebruiken en hoef je meestal niet op zoek naar distributiespecifieke
informatie.
</para>  

</sect1>

<sect1>
<title>Slackware Linux op CD-ROM</title>
<para>
Slackware Linux is op een aantal plaatsen op CD-ROM te krijgen. Hierbij
is het belangrijk onderscheid te maken tussen de officie&euml;le CD-ROM
set, waarvan een deel van de opbrengst ten goede komt aan de ontwikkeling
van Slackware Linux, en goedkope kopie&euml;n. Voor veel studenten en
mensen met weinig geld is een Slackware CD-ROM voor een paar Euro erg
aantrekkelijk, maar in andere gevallen is het aan te raden de officie&euml;le
CD-ROM set te kopen.
</para>

<para>
NedSlack houdt een lijst bij van verschillende Slackware leveranciers, 
inclusief een overzicht van de prijzen. Kijk voor meer informatie op
<ulink url="http://www.nedslack.org/">http://www.nedslack.org/</ulink>.
De Slackware Linux Store is te vinden op
<ulink url="http://store.slackware.com/">http://store.slackware.com/</ulink>.
</para>

</sect1>

</chapter>
